using System;
using System.Collections.Generic;
using System.Linq;

namespace Petlja
{
    internal class Program
    {
        private static void Main()
        {
            int n = int.Parse(Console.ReadLine() ?? "0");
            List<int> listA = (Console.ReadLine() ?? "").Split(' ').Select(int.Parse).ToList();
            List<int> listB = (Console.ReadLine() ?? "").Split(' ').Select(int.Parse).ToList();

            int max = 0;
            for (int l = 0; l < n - 1; l++)
            {
                for (int r = l + 1; r < n; r++)
                {
                    int xor = 0;
                    int and = ~0;

                    for (int i = l; i <= r; i++)
                    {
                        xor ^= listA[i];
                        and &= listB[i];
                    }
                    max = Math.Max(max, xor * and);
                }
            }

            Console.WriteLine(max);
        }
    }
}